#ifndef _BASE_GUI_
#define _BASE_GUI_

#include "ofMain.h"
#include "ofAddons.h"

static string commonText;
static int	textFade;

class baseGui
{
	public:
		
		// ------------------------		
		baseGui(){
			bUseTTF 	= false;	
			commonText  = "";		
		}
		
		// ------------------------
		void useTrueTypeFont(string font, int fontSize){
			TTF.loadFont(font, fontSize);
			bUseTTF = true;
		}
			
		// ------------------------
		void drawText(string text, float x, float y){
			if(bUseTTF)TTF.drawString(text, x, y);
			else  ofDrawBitmapString(text, x, y);
		}
		
		// ------------------------		
		void setCommonText(string theText){
			commonText 	= theText;
			textFade	= 255;
		}
		
	protected:
		
		ofTrueTypeFont  TTF;
		bool			bUseTTF;
	
};

#endif